#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class CreateSidfmApps < ActiveRecord::Migration
  def change

    add_column :sidfm_hosts, :sidfm_os_id, :integer
    add_column :sidfm_hosts, :sidfm_osver_id, :integer
    add_column :sidfm_hosts, :sidfm_os_unsupported, :string
    add_column :sidfm_hosts, :sidfm_ostype, :string

    create_table :sidfm_apps do |t|
      t.references :sidfm_host, index: true

      t.integer :sidfm_app_id
      t.integer :sidfm_appver_id
      t.string :sidfm_app_unsupported

      t.integer :lock_version, default: 0, null: false
      t.timestamps
    end

  end
end
