#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdVvCve < ActiveRecord::Base
  belongs_to :sidfmd_vul_view

  def c2_vector_index
    ret = nil
    if self.c2_av then
      ret = "AV:#{self.c2_av}/AC:#{self.c2_ac}/Au:#{self.c2_au}/C:#{self.c2_c}/I:#{self.c2_i}/A:#{self.c2_a}"
    end
    ret
  end

  def c3_vector_index
    ret = nil
    if self.c3_av then
      ret = "AV:#{self.c3_av}/AC:#{self.c3_ac}/PR:#{self.c3_pr}/UI:#{self.c3_ui}/S:#{self.c3_s}/C:#{self.c3_c}/I:#{self.c3_i}/A:#{self.c3_a}"
    end
    ret
  end

end


