#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
class AddSessionsTable < ActiveRecord::Migration
  def change
    create_table :sessions do |t|
      t.string :session_id, :null => false
      t.text :data
      t.timestamps :null => false
    end

    add_index :sessions, :session_id, :unique => true
    add_index :sessions, :updated_at
  end
end
